> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a receipt

> Create a receipt

### Request body

`CreateReceiptRequest`

<ParamField body="carrier" type="string,null" />

<ParamField body="created_by" type="string,null" />

<ParamField body="expected_date" type="string,null">
  RFC 3339 timestamp.
</ParamField>

<ParamField body="items" type="CreateReceiptItemRequest[]" required />

<ParamField body="notes" type="string,null" />

<ParamField body="receipt_type" type="string,null">
  One of `purchase_order`, `transfer`, `return`, `adjustment`, `production`, `other`.
</ParamField>

<ParamField body="reference_id" type="string,null" />

<ParamField body="reference_type" type="string,null" />

<ParamField body="supplier_id" type="string,null" />

<ParamField body="tracking_number" type="string,null" />

<ParamField body="warehouse_id" type="integer (int32)" required />

### Responses

<ResponseField name="201" type="ReceiptResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/receipts' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "carrier": null,
    "created_by": null,
    "expected_date": null,
    "items": [
      {
        "description": null,
        "expected_quantity": "string",
        "lot_number": null,
        "notes": null,
        "po_line_id": null,
        "sku": "string",
        "unit_cost": null
      }
    ],
    "notes": null,
    "receipt_type": null,
    "reference_id": null,
    "reference_type": null,
    "supplier_id": null,
    "tracking_number": null,
    "warehouse_id": 1
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "carrier": null,
    "created_at": "string",
    "expected_quantity": "string",
    "id": "string",
    "put_away_quantity": "string",
    "receipt_number": "string",
    "receipt_type": "string",
    "received_quantity": "string",
    "status": "string",
    "supplier_id": null,
    "tracking_number": null,
    "warehouse_id": 1
  }
  ```
</ResponseExample>
